import java.io.BufferedWriter;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.io.Writer;
import java.util.Arrays;
import java.util.InputMismatchException;
import java.util.Locale;

/**
 * Built using CHelper plug-in
 * Actual solution is at the top
 * @author Egor Kulikov (egor@egork.net)
 */
public class bonus_egor {
    public static void main(String[] args) {
        Locale.setDefault(Locale.US);
        InputStream inputStream;
        try {
            inputStream = new FileInputStream("bonus.in");
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        OutputStream outputStream;
        try {
            outputStream = new FileOutputStream("bonus.out");
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
        InputReader_egor in = new InputReader_egor(inputStream);
        OutputWriter out = new OutputWriter(outputStream);
        Bonus_egor_0 solver = new Bonus_egor_0();
        solver.solve(1, in, out);
        out.close();
    }
}

class Bonus_egor_0 {
    static final int N = 3000;
    static final int M = (int) 1e9;

    int count;
    int dblTix;
    int sngTix;

    double[][] dblResult;

    public void solve(int testNumber, InputReader_egor in, OutputWriter out) {
        count = in.readInt();
        dblTix = in.readInt();
        sngTix = in.readInt();
        if (count < 1 || dblTix < 0 || sngTix < 0 || count > N || dblTix > M || sngTix > M)
            throw new IllegalArgumentException();
        if (count > dblTix + sngTix) {
            out.printLine(1);
            out.printLine(1);
            return;
        }
        dblTix++;
        sngTix++;
        dblResult = new double[count + 2][count + 2];
        ArrayUtils.fill(dblResult, -1);
        double dblAnswer = go(1, 0);
        double sngAnswer = (count - go(0, 1) * (dblTix - 1)) / sngTix;
        out.printLine(dblAnswer);
        out.printLine(sngAnswer);
    }

    final double go(int sngFulfilled, int dblFulfilled) {
        if (dblResult[sngFulfilled][dblFulfilled] != -1)
            return dblResult[sngFulfilled][dblFulfilled];
        if (sngFulfilled + dblFulfilled == count + 1)
            return dblResult[sngFulfilled][dblFulfilled] = 0;
        int sngRemaining = sngTix - sngFulfilled;
        int dblRemaining = dblTix - dblFulfilled;
        if (sngRemaining == 0)
            return dblResult[sngFulfilled][dblFulfilled] = 1d / dblRemaining + (1 - 1d / dblRemaining) * go(sngFulfilled, dblFulfilled + 1);
        if (dblRemaining == 0)
            return dblResult[sngFulfilled][dblFulfilled] = 0;
        return dblResult[sngFulfilled][dblFulfilled] =
                (2d * dblRemaining / (2d * dblRemaining + sngRemaining)) * (1d / dblRemaining + (1 - 1d / dblRemaining) * go(sngFulfilled, dblFulfilled + 1)) +
                        sngRemaining / (2d * dblRemaining + sngRemaining) * go(sngFulfilled + 1, dblFulfilled);
    }
}

class InputReader_egor {

    private InputStream stream;
    private byte[] buf = new byte[1024];
    private int curChar;
    private int numChars;
    private SpaceCharFilter filter;

    public InputReader_egor(InputStream stream) {
        this.stream = stream;
    }

    public int read() {
        if (numChars == -1)
            throw new InputMismatchException();
        if (curChar >= numChars) {
            curChar = 0;
            try {
                numChars = stream.read(buf);
            } catch (IOException e) {
                throw new InputMismatchException();
            }
            if (numChars <= 0)
                return -1;
        }
        return buf[curChar++];
    }

    public int readInt() {
        int c = read();
        while (isSpaceChar(c))
            c = read();
        int sgn = 1;
        if (c == '-') {
            sgn = -1;
            c = read();
        }
        int res = 0;
        do {
            if (c < '0' || c > '9')
                throw new InputMismatchException();
            res *= 10;
            res += c - '0';
            c = read();
        } while (!isSpaceChar(c));
        return res * sgn;
    }

    public boolean isSpaceChar(int c) {
        if (filter != null)
            return filter.isSpaceChar(c);
        return isWhitespace(c);
    }

    public static boolean isWhitespace(int c) {
        return c == ' ' || c == '\n' || c == '\r' || c == '\t' || c == -1;
    }

    public interface SpaceCharFilter {
        public boolean isSpaceChar(int ch);
    }
}

class OutputWriter {
    private final PrintWriter writer;

    public OutputWriter(OutputStream outputStream) {
        writer = new PrintWriter(new BufferedWriter(new OutputStreamWriter(outputStream)));
    }

    public OutputWriter(Writer writer) {
        this.writer = new PrintWriter(writer);
    }

    public void print(Object...objects) {
        for (int i = 0; i < objects.length; i++) {
            if (i != 0)
                writer.print(' ');
            writer.print(objects[i]);
        }
    }

    public void printLine(Object...objects) {
        print(objects);
        writer.println();
    }

    public void close() {
        writer.close();
    }

    public void printLine(int i) {
        writer.println(i);
    }
}

class ArrayUtils {

    public static void fill(double[][] array, double value) {
        for (double[] row : array)
            Arrays.fill(row, value);
    }

}

